org.eclipse.mat.snapshot.model

## Interface IObject.Type

Enclosing interface:
  IObject

    public static interface IObject.Type

The type of the primitive array.

### Field Summary

Fields
`static int` `BOOLEAN`
`static int` `BYTE`
`static int` `CHAR`
`static int` `DOUBLE`
`static int` `FLOAT`
`static int` `INT`
`static int` `LONG`
`static int` `OBJECT`
`static int` `SHORT`

### Field Detail

#### OBJECT

    static final int OBJECT

See Also:
  Constant Field Values

#### BOOLEAN

    static final int BOOLEAN

See Also:
  Constant Field Values

#### CHAR

    static final int CHAR

See Also:
  Constant Field Values

#### FLOAT

    static final int FLOAT

See Also:
  Constant Field Values

#### DOUBLE

    static final int DOUBLE

See Also:
  Constant Field Values

#### BYTE

    static final int BYTE

See Also:
  Constant Field Values

#### SHORT

    static final int SHORT

See Also:
  Constant Field Values

#### INT

    static final int INT

See Also:
  Constant Field Values

#### LONG

    static final int LONG

See Also:
  Constant Field Values